org.apache.mina.core.session

## Interface IoSessionInitializer<T extends IoFuture>

- All Known Implementing Classes:
    ProxyIoSessionInitializer

      public interface IoSessionInitializer<T extends IoFuture>

  Defines a callback for obtaining the `IoSession` during session initialization.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initializeSession(IoSession session, T future)`

- - ### Method Detail

    - #### initializeSession

          void initializeSession(IoSession session,
                               T future)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.